Index: branches/script_engine/src/lib/script_engine/lunartest.lua
===================================================================
--- branches/script_engine/src/lib/script_engine/lunartest.lua	(revision 8678)
+++ 	(revision )
@@ -1,35 +1,0 @@
- function printf(...) io.write(string.format(unpack(arg))) end
-
-function Account:show()
-  printf("Account balance = $%0.02f\n", self:balance())
-end
-
-
-o = Object()
-o:printName()
-
-Obj:printName() --external added object
-
-a = Account(100)
-b = Account:new(30)
-
-print('a =', a)
-print('b =', b)
-print('metatable =', getmetatable(a))
-print('Account =', Account)
-table.foreach(Account, print)
-
-a:show() a:deposit(50.30) a:show() a:withdraw(25.10) a:show()
-
-
-
-parent = {}
- function parent:rob(amount)
-  amount = amount or self:balance()
-  self:withdraw(amount)
-  return amount
-end
-
-getmetatable(Account).__index = parent
-
---debug.debug()
Index: branches/script_engine/src/lib/script_engine/movechopper.lua
===================================================================
--- branches/script_engine/src/lib/script_engine/movechopper.lua	(revision 8678)
+++ 	(revision )
@@ -1,56 +1,0 @@
-targetOneReached = false
-targetTwoReached = false
-time = 0.0
-
-
-function handleTrigger()
-helo:moveUp(true)
-end
-
-function invertTargetReached()
- targetReached = not targetReached
-end
-
-
-function tick(timestep)
- time = timestep+time
- heloYCoord = helo:getAbsCoorY()
- heloXCoord = helo:getAbsCoorX()
- heloZCoord = helo:getAbsCoorZ()
-
---io.write(heloXCoord)
---io.write("\n")
-
- if heloYCoord < 0 and not targetOneReached then
-  heloYCoord = heloYCoord + 1*timestep
- else
-  targetOneReached = true
- end 
-
- if targetOneReached then
-  heloXCoord = heloXCoord + 10*timestep
- end
-
- if heloXCoord > -1445 then
-  heloYCoord = heloYCoord - 1*timestep
-  heloXCoord = heloXCoord - 8*timestep
- end
-
- if heloXCoord > -1440 then
-  targetTwoReached = true
- end
-
- if  heloYCoord < -18 and targetTwoReached then
-  return true;
- end
-
- helo:setAbsCoor(heloXCoord, heloYCoord ,heloZCoord)
- --if time < 1 and not targetReached then
- -- handleTrigger()
- --else
- -- helo:moveUp(false)
- --end
-
- return false
-
-end
Index: branches/script_engine/src/lib/script_engine/script.cc
===================================================================
--- branches/script_engine/src/lib/script_engine/script.cc	(revision 8678)
+++ branches/script_engine/src/lib/script_engine/script.cc	(revision 8679)
@@ -3,5 +3,4 @@
 #include "luaincl.h"
 
-#include "filesys/file.h"
 #include "util/loading/resource_manager.h"
 
@@ -60,6 +59,7 @@
  {
 
-   File scriptFile;
-
+   std::string filedest(ResourceManager::getInstance()->getDataDir());
+   filedest += "scripts/" + filename;
+   
    if(currentFile.length() != 0)
    {
@@ -68,5 +68,5 @@
     }
 
-   int error = luaL_loadfile (luaState, filename.c_str());
+   int error = luaL_loadfile (luaState, filedest.c_str());
 
    if(error == 0)
Index: branches/script_engine/src/movechopper.lua
===================================================================
--- branches/script_engine/src/movechopper.lua	(revision 8678)
+++ 	(revision )
@@ -1,56 +1,0 @@
-targetOneReached = false
-targetTwoReached = false
-time = 0.0
-
-
-function handleTrigger()
-helo:moveUp(true)
-end
-
-function invertTargetReached()
- targetReached = not targetReached
-end
-
-
-function tick(timestep)
- time = timestep+time
- heloYCoord = helo:getAbsCoorY()
- heloXCoord = helo:getAbsCoorX()
- heloZCoord = helo:getAbsCoorZ()
-
---io.write(heloXCoord)
---io.write("\n")
-
- if heloYCoord < 0 and not targetOneReached then
-  heloYCoord = heloYCoord + 1*timestep
- else
-  targetOneReached = true
- end 
-
- if targetOneReached then
-  heloXCoord = heloXCoord + 10*timestep
- end
-
- if heloXCoord > -1445 then
-  heloYCoord = heloYCoord - 1*timestep
-  heloXCoord = heloXCoord - 8*timestep
- end
-
- if heloXCoord > -1440 then
-  targetTwoReached = true
- end
-
- if  heloYCoord < -18 and targetTwoReached then
-  return true;
- end
-
- helo:setAbsCoor(heloXCoord, heloYCoord ,heloZCoord)
- --if time < 1 and not targetReached then
- -- handleTrigger()
- --else
- -- helo:moveUp(false)
- --end
-
- return false
-
-end
